Subject: [PATCH 2/3] tty/serial: of_serial: add support for PXA/MMP uarts

From: [email-masked] (Peter Hurley)
Date: Wed, 28 Jan 2015 12:06:09 -0500

On 01/28/2015 09:21 AM, Rob Herring wrote:
> On Tue, Jan 27, 2015 at 1:43 PM, Peter Hurley <[email-masked]> wrote:
>> On 01/27/2015 11:44 AM, Rob Herring wrote:
>>> On Tue, Jan 27, 2015 at 9:09 AM, Peter Hurley <[email-masked]> wrote:
>>>> On 01/27/2015 09:30 AM, Rob Herring wrote:
>>>>> On Tue, Jan 27, 2015 at 6:44 AM, Peter Hurley <[email-masked]> wrote:
>>>>>> On 01/26/2015 11:50 PM, Rob Herring wrote:

[...]

>> OTOH, I didn't realize that patch removed the PXA driver. That driver has
>> errata workarounds which didn't get integrated into the 8250 core; it seems
>> a shame to toss that away.
> 
> There was some discussion on errata in the prior versions. One of them
> was deemed not needed. Another one is needed, but that's on certain
> PXA2xx. So we'll need to pickup that work-around at some point, but it
> is not yet needed here because PXA2xx is not enabled for DT.

Do you know offhand which errata? If not, nbd; I can do a little digging.

>> [ Sidebar: I did a trial split of 8250_core into a separate 8250 base module
>>   and an 8250 universal driver. I keep having to rework the split but it's
>>   pretty close now; the 8250 base module might be just the thing for simplifying
>>   the pxa driver and getting console/earlycon/dma for free.
>>
>>   Let me see what I can do about getting that done.
>> ]
> 
> Yes, it would be nice to split the legacy ISA parts from the proper
> platform driver. There's way too many kconfig options for the 8250 as
> well IMO.

After I finish the split, I can look at making most/all of those options
dependent on the universal 8250 driver only.

> BTW, It appears that the main motivator for a separate driver was to
> add DMA support and that's what the out of tree driver adds. But now,
> we would never add the PXA DMA API support and the 8250 driver has
> learned DMA support.

Yeah, PXA should not have been forked. But I say that with the benefit
of hindsight.

Regards,
Peter Hurley